// Matthias Hollnder 2013
#version 430 core

//////////////////////////////////////////////////////////////////////////
// Specify exactly what the gl_PerVertex output contains
//////////////////////////////////////////////////////////////////////////
out gl_PerVertex
{
    vec4 gl_Position;
};

//////////////////////////////////////////////////////////////////////////
// Other output
//////////////////////////////////////////////////////////////////////////
out block
{
	vec2 TexCoord;
} Out;

//////////////////////////////////////////////////////////////////////////
// Vertex-Shader
//////////////////////////////////////////////////////////////////////////
void main()
{
	const float c_fDepth = 0.5;
    const vec4 c_vPositions[] = vec4[]( vec4( -1.0, -1.0, c_fDepth, 1.0 ),
										vec4(  1.0, -1.0, c_fDepth, 1.0 ),
										vec4( -1.0,  1.0, c_fDepth, 1.0 ),
										vec4(  1.0,  1.0, c_fDepth, 1.0 ) );

	const vec2 c_vTexCoords[] = vec2[]( vec2( 0.0, 0.0 ),
										vec2( 1.0, 0.0 ),
										vec2( 0.0, 1.0 ),
										vec2( 1.0, 1.0 ) );

    gl_Position  = c_vPositions[ gl_VertexID ];
	Out.TexCoord = c_vTexCoords[ gl_VertexID ];
}
