// Timothy Kol & Jingtang Liao 2014
#version 430 core

// Define input ports
#pragma MX_PORT_ATTRIBUTE(Position,"Positions");
#pragma MX_PORT_ATTRIBUTE(TexCoord,"TextureCoords");

// Input
layout( location = 0 ) in vec3 Position;
layout( location = 1 ) in vec2 TexCoord;

// Matrices
layout ( location = 0 ) uniform mat4 ProjectionMatrix;
layout ( location = 1 ) uniform mat4 ViewMatrix;

// Output

out block
{
	vec2 TexCoord;
} Out;

// Vertex shader
void main() {

	// Set texture coordinate output
	Out.TexCoord = TexCoord;

	// Save clip position
	gl_Position = ProjectionMatrix * ViewMatrix * vec4( Position, 1.0 );
}