// Timothy Kol & Jingtang Liao 2014
#version 430 core

// Define ports
#pragma MX_PORT_SURFACE(o_FragColor,"Color Target","Color");

// Input
in block
{
	vec2 TexCoord;
} In;

// Output
layout( location = 0 ) out vec4 o_FragColor;

// Color sampler
layout( binding = 0 ) uniform sampler2D sampTexture;

// Fragment shader
void main() {
	// Write color
	o_FragColor = texture( sampTexture, In.TexCoord );
}